Package fr.gouv.vitam.common.model.administration

# Class AbstractContractModel

java.lang.Object
fr.gouv.vitam.common.model.administration.AbstractContractModel

Direct Known Subclasses:
  `AccessContractModel`, `IngestContractModel`, `ManagementContractModel`

public class AbstractContractModel extends Object
Data Transfer Object Model of access contract (DTO).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TAG_CREATION_DATE`
  `static final String`
  `TAG_DESCRIPTION`
  `static final String`
  `TAG_IDENTIFIER`
  `static final String`
  `TAG_LAST_UPDATE`
  `static final String`
  `TAG_NAME`
  `static final String`
  `TAG_STATUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractContractModel()`
  Constructor without fields use for jackson

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivationdate()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  since 8.0, replaced with `getActivationDate()`
  `String`
  `getActivationDate()`
  `String`
  `getCreationdate()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  since 8.0, replaced with `getCreationDate()`
  `String`
  `getCreationDate()`
  `String`
  `getDeactivationdate()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  since 8.0, replaced with `getDeactivationDate()`
  `String`
  `getDeactivationDate()`
  `String`
  `getDescription()`
  Get the contract description
  `String`
  `getId()`
  `String`
  `getIdentifier()`
  Get the identifier of the contract
  `String`
  `getLastupdate()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  since 8.0, replaced with `getLastUpdate()`
  `String`
  `getLastUpdate()`
  `String`
  `getName()`
  Get name of the contract
  `ActivationStatus`
  `getStatus()`
  Get the contract status
  `Integer`
  `getTenant()`
  `Integer`
  `getVersion()`
  `AbstractContractModel`
  `setActivationdate(String activationdate)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  since 8.0, replaced with `setActivationDate(String activationDate)`
  `AbstractContractModel`
  `setActivationDate(String activationDate)`
  `AbstractContractModel`
  `setCreationdate(String creationdate)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  since 8.0, replaced with `setCreationDate(String creationDate)`
  `AbstractContractModel`
  `setCreationDate(String creationDate)`
  `AbstractContractModel`
  `setDeactivationdate(String deactivationdate)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  since 8.0, replaced with `setDeactivationDate(String deactivationDate)`
  `AbstractContractModel`
  `setDeactivationDate(String deactivationDate)`
  `AbstractContractModel`
  `setDescription(String description)`
  Set or change the contract description
  `AbstractContractModel`
  `setId(String id)`
  `AbstractContractModel`
  `setIdentifier(String identifier)`
  Set the identifier of the contract This value must be unique by tenant
  `AbstractContractModel`
  `setLastupdate(String lastupdate)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  since 8.0, replaced with `setLastUpdate(String lastUpdate)`
  `AbstractContractModel`
  `setLastUpdate(String lastUpdate)`
  `AbstractContractModel`
  `setName(String name)`
  Set or change the contract name
  `AbstractContractModel`
  `setStatus(ActivationStatus status)`
  Set or change the contract status
  `AbstractContractModel`
  `setTenant(Integer tenant)`
  `AbstractContractModel`
  `setVersion(Integer version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_DESCRIPTION

    public static final String TAG_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### TAG_NAME

    public static final String TAG_NAME
    See Also:
      - Constant Field Values

  - ### TAG_IDENTIFIER

    public static final String TAG_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### TAG_STATUS

    public static final String TAG_STATUS
    See Also:
      - Constant Field Values

  - ### TAG_CREATION_DATE

    public static final String TAG_CREATION_DATE
    See Also:
      - Constant Field Values

  - ### TAG_LAST_UPDATE

    public static final String TAG_LAST_UPDATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AbstractContractModel

    public AbstractContractModel()
    Constructor without fields use for jackson

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      id

  - ### setId

    public AbstractContractModel setId(String id)
    Parameters:
      `id` - value to set field
    Returns:
      this

  - ### getTenant

    public Integer getTenant()
    Returns:
      tenant

  - ### setTenant

    public AbstractContractModel setTenant(Integer tenant)
    Parameters:
      `tenant` - value to set working tenant
    Returns:
      this

  - ### getVersion

    public Integer getVersion()
    Returns:
      version

  - ### setVersion

    public AbstractContractModel setVersion(Integer version)
    Parameters:
      `version` -

  - ### getIdentifier

    public String getIdentifier()
    Get the identifier of the contract
    Returns:
      String

  - ### setIdentifier

    public AbstractContractModel setIdentifier(String identifier)
    Set the identifier of the contract This value must be unique by tenant
    Parameters:
      `identifier` - as String
    Returns:
      this

  - ### getName

    public String getName()
    Get name of the contract
    Returns:
      name as String

  - ### setName

    public AbstractContractModel setName(String name)
    Set or change the contract name
    Parameters:
      `name` - as String to set
    Returns:
      this

  - ### getDescription

    public String getDescription()
    Get the contract description
    Returns:
      description of contract

  - ### setDescription

    public AbstractContractModel setDescription(String description)
    Set or change the contract description
    Parameters:
      `description` - to set
    Returns:
      this

  - ### getStatus

    public ActivationStatus getStatus()
    Get the contract status
    Returns:
      status of contract

  - ### setStatus

    public AbstractContractModel setStatus(ActivationStatus status)
    Set or change the contract status
    Parameters:
      `status` - toi set
    Returns:
      this

  - ### getCreationDate

    public String getCreationDate()
    Returns:
      the creation date of contract

  - ### getCreationdate

    @Deprecated(forRemoval=true, since="8.0") public String getCreationdate()
    Deprecated, for removal: This API element is subject to removal in a future version.
    since 8.0, replaced with `getCreationDate()`

  - ### setCreationDate

    public AbstractContractModel setCreationDate(String creationDate)
    Parameters:
      `creationDate` - to set
    Returns:
      this

  - ### setCreationdate

    @Deprecated(forRemoval=true, since="8.0") public AbstractContractModel setCreationdate(String creationdate)
    Deprecated, for removal: This API element is subject to removal in a future version.
    since 8.0, replaced with `setCreationDate(String creationDate)`

  - ### getLastUpdate

    public String getLastUpdate()
    Returns:
      last update of contract

  - ### getLastupdate

    @Deprecated(forRemoval=true, since="8.0") public String getLastupdate()
    Deprecated, for removal: This API element is subject to removal in a future version.
    since 8.0, replaced with `getLastUpdate()`

  - ### setLastUpdate

    public AbstractContractModel setLastUpdate(String lastUpdate)
    Parameters:
      `lastUpdate` - to set
    Returns:
      this

  - ### setLastupdate

    @Deprecated(forRemoval=true, since="8.0") public AbstractContractModel setLastupdate(String lastupdate)
    Deprecated, for removal: This API element is subject to removal in a future version.
    since 8.0, replaced with `setLastUpdate(String lastUpdate)`

  - ### getActivationDate

    public String getActivationDate()
    Returns:
      the activation date of contracr

  - ### getActivationdate

    @Deprecated(forRemoval=true, since="8.0") public String getActivationdate()
    Deprecated, for removal: This API element is subject to removal in a future version.
    since 8.0, replaced with `getActivationDate()`

  - ### setActivationDate

    public AbstractContractModel setActivationDate(String activationDate)
    Parameters:
      `activationDate` - to set
    Returns:
      this

  - ### setActivationdate

    @Deprecated(forRemoval=true, since="8.0") public AbstractContractModel setActivationdate(String activationdate)
    Deprecated, for removal: This API element is subject to removal in a future version.
    since 8.0, replaced with `setActivationDate(String activationDate)`

  - ### getDeactivationDate

    public String getDeactivationDate()
    Returns:
      the desactivation date of contract

  - ### getDeactivationdate

    @Deprecated(forRemoval=true, since="8.0") public String getDeactivationdate()
    Deprecated, for removal: This API element is subject to removal in a future version.
    since 8.0, replaced with `getDeactivationDate()`

  - ### setDeactivationDate

    public AbstractContractModel setDeactivationDate(String deactivationDate)
    Parameters:
      `deactivationDate` - to set
    Returns:
      this

  - ### setDeactivationdate

    @Deprecated(forRemoval=true, since="8.0") public AbstractContractModel setDeactivationdate(String deactivationdate)
    Deprecated, for removal: This API element is subject to removal in a future version.
    since 8.0, replaced with `setDeactivationDate(String deactivationDate)`